Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1282080 - Review Request: blackshades - First person shooter - protect the VIP
Summary: Review Request: blackshades - First person shooter - protect the VIP
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AwaitingSubmitter
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2015-11-14 19:32 UTC by Brigham Keys
Modified: 2017-04-07 09:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-07 09:07:04 UTC


Attachments (Terms of Use)

Description Brigham Keys 2015-11-14 19:32:15 UTC
Spec URL: https://github.com/ComradeKeys/blackshadeselite/blob/master/fedora/blackshades.spec
SRPM URL: https://github.com/ComradeKeys/blackshadeselite/blob/master/fedora/blackshades-.9-1.fc21.src.rpm
Description: First person shooter - protect the VIP.
Fedora Account System Username: bkeys

Comment 1 fszymanski 2015-11-14 23:04:42 UTC
Hi,

SRPM URL should be to the raw file:
https://github.com/ComradeKeys/blackshadeselite/raw/master/fedora/blackshades-.9-1.fc21.src.rpm

Also, at the first glance:
- you should change the version number to 0.9
- full URL of the source archive is missing (Source0 tag)
- no description

Comment 2 Brigham Keys 2015-11-15 20:52:31 UTC
I have:
Changed the number to 0.9
The Source0 tag has the tarball, the url tag has the URL
Wrote the description

I cannot find a raw file in any of the files that RPM build generated. Unless you mean the tar.gz file?

Comment 3 Antonio Trande 2015-12-03 14:20:32 UTC
Please, provide SPEC/SRPM links if you still need a package review.

- /usr/bin/%{name}

Use the macros: http://fedoraproject.org/wiki/Packaging:Guidelines#Macros

- Source0: %{name}-%{version}.tar.gz

Where does source code archive come from?

http://fedoraproject.org/wiki/Packaging:SourceURL

- rm -rf $RPM_BUILD_ROOT

Useless.

- COPYING is not tagged with %license.

http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

- Decription is too ling for a single line:
  https://fedoraproject.org/wiki/Common_Rpmlint_issues?rd=PackageMaintainers/Common_Rpmlint_Issues#description-line-too-long

Comment 4 Antonio Trande 2016-03-09 17:28:22 UTC
Any news here ?


Note You need to log in before you can comment on or make changes to this bug.